@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

html {
  box-sizing: border-box;
  height: 100%;
}

*,
*::after,
*::before {
  box-sizing: inherit;
}



main{
  background-color: #ffffffbd;
}

body {
  display: flex;
  margin: 0;
  flex-direction: column;
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  line-height: 1.2;
  height: 100%;
}

.container {
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
  height: 100%;
  padding: 0 10px;

}

.lang-switch {
      display: flex;
      justify-content: center; /* Центрируем по горизонтали */
      align-items: center;
      padding: 12px;
      margin-top: 10ch; /* Вернули отступ сверху */
      gap: 2ch; /* Отступ между кнопками */
    }
    
    .lang-switch button {
      background-color: #ffffffbd; /* Белый с прозрачностью */
      color: rgba(0, 0, 0, 0.74); /* Чёрный с прозрачностью bd */
      border: none;
      border-radius: 8px; /* Скруглённые углы */
      padding: 8px 16px;
      cursor: pointer;
      font-size: 1rem;
      transition: background-color 0.3s ease;
      margin: 0; /* Убираем внешние отступы у кнопок */
    }

.navbar {
  left: 0;
  top: 0;
  width: 100%;
  height: 75px;
  background-color: #ffffffbd;
  position: fixed;
  top: 0;
  z-index: 10;
}

.navbar__wrap {
  display: flex;
  justify-content: space-between;
  height: 100%;
}

.hamb {
  display: none;
}

.popup {
  display: none;
}

.school{
    font-weight: 500;
    font-size: 25px;
    margin: 0;
    margin-top: 5px;
    color: #000000bd;
}
.menu > li > a {
  text-decoration: none;
}

.navbar__wrap .menu {
  display: flex;
}

.navbar__wrap .menu > li {
  display: flex;
  align-items: stretch;
}

.navbar__wrap .menu > li > a {
  display: flex;
  align-items: center;
  padding: 0 10px;
  font-weight: 500;
  color: rgb(0, 0, 0);
}

.navbar__wrap .menu > li > a:hover {
  color: rgb(184, 98, 0);
}

.main__vse{
  background-color: #3b7a00ee;
  border-radius: 0 20px 0 20px;
  padding: 5px;
  margin: 5px;
}

.main__contakt{
  margin-left: 10%;
  margin-right: 10%;
  margin-top: 5%;
  border-radius: 20px;
  border: 2px solid #ff88189c;
}

.main__text{
  font-size: 20px;
  font-weight: 500;
  margin-top: 7ch;
  color: #ffffffbd;
}
li , .main__txt__hetiri , .asasasa{
  color: #ffffffbd;
}

.main__con_blok{
  display: flex;
}

.main__img , .main__img__dva , .main__img__tri , .main__img__cetiri , .main__img__pit{
  width: 6%;
  height:17%;
  margin-right: 10px;
  margin-top: 16px;
}

.main__blok__tri , .main__contakt__dva , .main__contakt__tri , .main__adres , .main__con_blok{
  display: flex;
  justify-content: center; 
  align-items: center;
}

.main__txt__dva , .main__txt__pit , .main__txt , .main__txt__hetiri , .main__txt__sem{
  margin: 0;
  font-size: 18px;
  font-weight: 500;
  margin-top: 3ch;
  text-align: center;
}

.fffff{
  background-color: #3b7a00ee; 
  border-radius: 20px 0 20px 0;
  margin: 5px;
}

.karta{
  width: 300px;   /* фиксированная ширина */
  height: 200px;  /* фиксированная высота */
  margin: 0 auto; /* центрирование по горизонтали */
  display: block;

}

/*подвал*/
footer{
  background-color: #222222;
  color: #ffffff;
}

.my-buttton{
  display: block;       
  width: fit-content;   
  margin: 0 auto;       
  font-weight: 700;
  padding: 12px 24px;
  background-color: #3b7a00ee;
  color: white;
  text-decoration: none;
  border-radius: 6px;
  font-family: sans-serif;
}
.my-buttton:hover {
  background-color: #4ead00;
  transform: scale(1.05);
}

@media (max-width: 1000px) {
    .navbar__wrap .menu {
      display: none;
    }
  
    .hamb {
      display: flex;
      align-items: center;
    }
  
    .hamb__field {
      padding: 10px 20px;
      cursor: pointer;
    }
  
    .bar {
      display: block;
      width: 30px;
      height: 3px;
      margin: 6px auto;
      background-color: #000000bd;
      transition: 0.2s;
    }
  
    .popup {
      position: fixed;
      top: 75px;
      left: -100%;
      width: 100%;
      height: 100%;
      background-color: #ffffff;
      z-index: 100;
      display: flex;
      transition: 0.3s;
    }
  
    .popup.open {
      left: 0;
    }
  
    .popup .menu {
      width: 100%;
      height: 100%;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: start;
      padding: 50px 0;
      overflow: auto;
    }
  
    .popup .menu > li {
      width: 100%;
    }
  
    .popup .menu > li > a {
      width: 100%;
      display: flex;
      justify-content: center;
      padding: 20px 0;
      font-size: 20px;
      font-weight: bold;
      color: #3f3f3f;
    }
  
    .popup .menu > li > a:hover {
      background-color: rgba(122, 82, 179, 0.1);
    }
  
    .hamb__field.active .bar:nth-child(2) {
      opacity: 0;
    }
  
    .hamb__field.active .bar:nth-child(1) {
      transform: translateY(8px) rotate(45deg);
    }
  
    .hamb__field.active .bar:nth-child(3) {
      transform: translateY(-8px) rotate(-45deg);
    }
  
    body.noscroll {
      overflow: hidden;
    }
  }

  @media (min-width: 1001px) and (max-width: 1200px){
    .main__vse{
      margin-top: 8%;
      margin-left: 25%;
      width: 50%;
    }

    .main__text{
      margin-top: 5px;
    } 

    .main__contakt , .fffff{
      margin-left: 25%;
      margin-right: 25%;
    }
    
    .main__blok__tri , .main__adres , .main__contakt__dva , .main__con_blok{
      border-radius: 10px;
      
    }
    .main__img , .main__img__dva , .main__img__tri , .main__img__cetiri , .main__img__pit{
      width: 18%;
      height:17%;
      margin-right: 15px;
      margin-top: 15px;
    }
  }
  @media (min-width: 1201px){
    .lang-switch {
      display: flex;
      justify-content: center; /* Центрируем по горизонтали */
      align-items: center;
      padding: 12px;
      margin-top: 10ch; /* Вернули отступ сверху */
      gap: 2ch; /* Отступ между кнопками */
    }
    
    .lang-switch button {
      background-color: #ffffffbd; /* Белый с прозрачностью */
      color: rgba(0, 0, 0, 0.74); /* Чёрный с прозрачностью bd */
      border: none;
      border-radius: 8px; /* Скруглённые углы */
      padding: 8px 16px;
      cursor: pointer;
      font-size: 1rem;
      transition: background-color 0.3s ease;
      margin: 0; /* Убираем внешние отступы у кнопок */
    }
    
    .main__vse{
      display: flex;
    }

    .main__vse{
      margin-top: 6%;
      margin-left: 35%;
      margin-right: 35%;
    }

    li{
      font-size: 20px;
    }
    
    .main__blok__tri , .main__adres , .main__contakt__dva , .main__con_blok{

      border-radius: 10px;
      margin: 1ch;

      opacity: 0.9;
      width: 23ch;
    }
    .main__img , .main__img__dva , .main__img__tri , .main__img__cetiri , .main__img__pit{
      width: 18%;
      height:17%;
      margin-right: 15px;
      margin-top: 15px;
    }
     .main__contakt , .fffff{
      margin-left: 35%;
      margin-right: 35%;
    }
  }